/* Gallery carousel */

.custom-modal {
    display: none;
    position: fixed;
    z-index: 9999;
    inset: 0;
    background: rgba(0, 0, 0, 0.98);
}

/* Close button */
.custom-modal-close {
    position: absolute;
    top: 20px;
    right: 30px;
    z-index: 10000;

    width: 40px;
    height: 40px;

    display: flex;
    align-items: center;
    justify-content: center;

    color: white;
    font-size: 32px;
    font-weight: 300;
    line-height: 1;

    cursor: pointer;
}

.custom-modal-close:hover {
    opacity: 0.7;
}


.custom-modal-content {
    position: absolute;
    inset: 0;
}

.custom-modal-content img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -60%);
    max-width: 90%;
    max-height: 70vh;
}

.carousel-info {
    position: absolute;
    bottom: 30px;
    left: 50%;
    transform: translateX(-50%);
    font-size: 18px;
    color: white;
    text-align: center;
}

/* Title */
.carousel-title {
    color: white;
    background: rgba(0, 0, 0, 0.6);
    font-size: 22px;
    text-align: center;
    font-style: italic;
    border-radius: 4px;
    margin-bottom: 20px;
}

/* Previous / Next */
.prev,
.next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);

    border: none;
    background: transparent;

    color: white;
    font-size: 45px;
    font-weight: 300;

    cursor: pointer;

    padding: 15px;
    line-height: 1;

    z-index: 10000;
}

.prev:hover,
.next:hover {
    opacity: 0.7;
}

.prev {
    left: 20px;
}

.next {
    right: 20px;
}